diff --git a/10-nerd-font-symbols.conf b/10-nerd-font-symbols.conf
new file mode 100644
index 000000000..9cd5b2502
--- /dev/null
+++ b/10-nerd-font-symbols.conf
@@ -0,0 +1,136 @@
+
+
+
+
+ GohuFont
+ Symbols Nerd Font
+
+
+ GohuFont
+ Symbols Nerd Font
+
+
+ Fira Mono for Powerline
+ Symbols Nerd Font
+
+
+ Fira Code
+ Symbols Nerd Font
+
+
+ ProggyCleanTT
+ Symbols Nerd Font
+
+
+ Anonymous Pro for Powerline,Anonymice Powerline
+ Symbols Nerd Font
+
+
+ Terminus (TTF)
+ Symbols Nerd Font
+
+
+ Iosevka,Iosevka Extralight Oblique
+ Symbols Nerd Font
+
+
+ Heavy Data
+ Symbols Nerd Font
+
+
+ Space Mono
+ Symbols Nerd Font
+
+
+ Share Tech Mono
+ Symbols Nerd Font
+
+
+ Droid Sans Mono for Powerline
+ Symbols Nerd Font
+
+
+ monofur for Powerline
+ Symbols Nerd Font
+
+
+ Bitstream Vera Sans Mono
+ Symbols Nerd Font
+
+
+ Meslo LG S for Powerline
+ Symbols Nerd Font
+
+
+ Monoid
+ Symbols Nerd Font
+
+
+ Lekton
+ Symbols Nerd Font
+
+
+ mononoki
+ Symbols Nerd Font
+
+
+ Liberation Mono for Powerline,Literation Mono Powerline
+ Symbols Nerd Font
+
+
+ Hasklig,Hasklig Black
+ Symbols Nerd Font
+
+
+ IBM 3270 Narrow
+ Symbols Nerd Font
+
+
+ Hack
+ Symbols Nerd Font
+
+
+ DejaVu Sans Mono
+ Symbols Nerd Font
+
+
+ ProFontIIx
+ Symbols Nerd Font
+
+
+ Code New Roman
+ Symbols Nerd Font
+
+
+ M+ 1m
+ Symbols Nerd Font
+
+
+ Fantasque Sans Mono
+ Symbols Nerd Font
+
+
+ Hermit
+ Symbols Nerd Font
+
+
+ Ubuntu Mono derivative Powerline
+ Symbols Nerd Font
+
+
+ Source Code Pro,Source Code Pro Black
+ Symbols Nerd Font
+
+
+ Roboto Mono,Roboto Mono Light
+ Symbols Nerd Font
+
+
+ Aurulent Sans Mono
+ Symbols Nerd Font
+
+
+ Inconsolata for Powerline
+ Symbols Nerd Font
+
+
diff --git a/bin/scripts/generate-fontconfig.sh b/bin/scripts/generate-fontconfig.sh
new file mode 100755
index 000000000..5bce3a1c4
--- /dev/null
+++ b/bin/scripts/generate-fontconfig.sh
@@ -0,0 +1,64 @@
+#!/bin/bash
+# version: 0.9.0
+# Iterates over all patched fonts directories
+# to generate a fontconfig based on the Nerd Fonts Symbols font
+# that contains only the glyphs
+
+#set -x
+
+parent_dir="${PWD}/../../"
+unpatched_parent_dir="../../src/unpatched-fonts/"
+to="$parent_dir/10-nerd-font-symbols.conf"
+symbolfont="Symbols Nerd Font"
+
+cd $unpatched_parent_dir || {
+ echo >&2 "# Could not find patched fonts directory"
+ exit 1
+}
+
+# clear output file (needed for multiple runs or updates):
+> "$to" 2> /dev/null
+
+# add to the file
+{
+ printf ''
+ printf '\n'
+ printf '\n'
+} >> "$to"
+
+#find ./Hack -maxdepth 0 -type d | # uncomment to test 1 font
+find . -maxdepth 1 -type d | # uncomment to get all fonts
+while read -r filename
+do
+
+ searchdir=$filename
+
+ FONTS=()
+ while IFS= read -d $'\0' -r file ; do
+ FONTS=("${FONTS[@]}" "$file")
+ # limit to first variation of family (folder)
+ done < <(find "$searchdir" -type f -iname '*.[o,t]tf' -print0 | head -n 1)
+
+ if [ "${FONTS[0]}" ];
+ then
+ familyname=$(fc-query --format='%{family}' "${FONTS[0]}")
+
+ echo "# Generating fontconfig for: $familyname"
+
+ # add to the file
+ {
+ printf '\n '
+ printf '\n %s' "$familyname"
+ printf '\n %s' "$symbolfont"
+ printf '\n '
+ } >> "$to"
+
+ fi
+
+done
+
+# add to the file
+{
+ printf "\n\n"
+} >> "$to"
+
diff --git a/src/glyphs/NerdFontsSymbols 1000 EM Nerd Font Complete Blank.sfd b/src/glyphs/NerdFontsSymbols 1000 EM Nerd Font Complete Blank.sfd
new file mode 100644
index 000000000..d49553e80
--- /dev/null
+++ b/src/glyphs/NerdFontsSymbols 1000 EM Nerd Font Complete Blank.sfd
@@ -0,0 +1,59 @@
+SplineFontDB: 3.0
+FontName: Symbols-1000-em
+FullName: Symbols-1000-em
+FamilyName: Symbols
+Weight: Regular
+Copyright: Copyright (c) 2016, Ryan McIntyre
+Version: 001.000
+ItalicAngle: 0
+UnderlinePosition: -100
+UnderlineWidth: 50
+Ascent: 800
+Descent: 200
+InvalidEm: 0
+LayerCount: 2
+Layer: 0 0 "Back" 1
+Layer: 1 0 "Fore" 0
+XUID: [1021 913 -638292798 6571593]
+FSType: 0
+OS2Version: 0
+OS2_WeightWidthSlopeOnly: 0
+OS2_UseTypoMetrics: 1
+CreationTime: 1480466430
+ModificationTime: 1480467813
+PfmFamily: 17
+TTFWeight: 400
+TTFWidth: 5
+LineGap: 90
+VLineGap: 0
+OS2TypoAscent: 0
+OS2TypoAOffset: 1
+OS2TypoDescent: 0
+OS2TypoDOffset: 1
+OS2TypoLinegap: 90
+OS2WinAscent: 0
+OS2WinAOffset: 1
+OS2WinDescent: 0
+OS2WinDOffset: 1
+HheadAscent: 0
+HheadAOffset: 1
+HheadDescent: 0
+HheadDOffset: 1
+OS2Vendor: 'PfEd'
+MarkAttachClasses: 1
+DEI: 91125
+LangName: 1033
+Encoding: UnicodeFull
+UnicodeInterp: none
+NameList: AGL For New Fonts
+DisplaySize: -72
+AntiAlias: 1
+FitToEm: 0
+WinInfo: 64 8 8
+OnlyBitmaps: 1
+BeginPrivate: 0
+EndPrivate
+TeXData: 1 0 0 346030 173015 115343 0 1048576 115343 783286 444596 497025 792723 393216 433062 380633 303038 157286 324010 404750 52429 2506097 1059062 262144
+BeginChars: 1114112 0
+EndChars
+EndSplineFont
diff --git a/src/glyphs/NerdFontsSymbols 2048 EM Nerd Font Complete Blank.sfd b/src/glyphs/NerdFontsSymbols 2048 EM Nerd Font Complete Blank.sfd
new file mode 100644
index 000000000..4c0601b95
--- /dev/null
+++ b/src/glyphs/NerdFontsSymbols 2048 EM Nerd Font Complete Blank.sfd
@@ -0,0 +1,59 @@
+SplineFontDB: 3.0
+FontName: Symbols-2048-em
+FullName: Symbols-2048-em
+FamilyName: Symbols
+Weight: Regular
+Copyright: Copyright (c) 2016, Ryan McIntyre
+Version: 001.000
+ItalicAngle: 0
+UnderlinePosition: -204
+UnderlineWidth: 102
+Ascent: 1638
+Descent: 410
+InvalidEm: 0
+LayerCount: 2
+Layer: 0 0 "Back" 1
+Layer: 1 0 "Fore" 0
+XUID: [1021 913 -638292798 6571593]
+FSType: 0
+OS2Version: 0
+OS2_WeightWidthSlopeOnly: 0
+OS2_UseTypoMetrics: 1
+CreationTime: 1480466430
+ModificationTime: 1480467841
+PfmFamily: 17
+TTFWeight: 400
+TTFWidth: 5
+LineGap: 184
+VLineGap: 0
+OS2TypoAscent: 0
+OS2TypoAOffset: 1
+OS2TypoDescent: 0
+OS2TypoDOffset: 1
+OS2TypoLinegap: 184
+OS2WinAscent: 0
+OS2WinAOffset: 1
+OS2WinDescent: 0
+OS2WinDOffset: 1
+HheadAscent: 0
+HheadAOffset: 1
+HheadDescent: 0
+HheadDOffset: 1
+OS2Vendor: 'PfEd'
+MarkAttachClasses: 1
+DEI: 91125
+LangName: 1033
+Encoding: UnicodeFull
+UnicodeInterp: none
+NameList: AGL For New Fonts
+DisplaySize: -72
+AntiAlias: 1
+FitToEm: 0
+WinInfo: 64 8 8
+OnlyBitmaps: 1
+BeginPrivate: 0
+EndPrivate
+TeXData: 1 0 0 346030 173015 115343 0 1048576 115343 783286 444596 497025 792723 393216 433062 380633 303038 157286 324010 404750 52429 2506097 1059062 262144
+BeginChars: 1114112 0
+EndChars
+EndSplineFont
diff --git a/src/glyphs/Symbols-1000-em Nerd Font Complete.ttf b/src/glyphs/Symbols-1000-em Nerd Font Complete.ttf
new file mode 100644
index 000000000..a43eba82d
Binary files /dev/null and b/src/glyphs/Symbols-1000-em Nerd Font Complete.ttf differ
diff --git a/src/glyphs/Symbols-2048-em Nerd Font Complete.ttf b/src/glyphs/Symbols-2048-em Nerd Font Complete.ttf
new file mode 100644
index 000000000..0f3fff358
Binary files /dev/null and b/src/glyphs/Symbols-2048-em Nerd Font Complete.ttf differ